Main Page | Modules | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Examples

# version.h File Reference

`#include <gtkmm/gl/defs.h>`

Include dependency graph for version.h:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Defines
#define | GTKGLEXTMM_MAJOR_VERSION (1)
#define | GTKGLEXTMM_MINOR_VERSION (2)
#define | GTKGLEXTMM_MICRO_VERSION (0)
#define | GTKGLEXTMM_INTERFACE_AGE (0)
#define | GTKGLEXTMM_BINARY_AGE (0)
#define | GTKGLEXTMM_CHECK_VERSION(major, minor, micro)
## Variables
GTKMM_GL_VAR const int | gtkglextmm_major_version
GTKMM_GL_VAR const int | gtkglextmm_minor_version
GTKMM_GL_VAR const int | gtkglextmm_micro_version
GTKMM_GL_VAR const int | gtkglextmm_interface_age
GTKMM_GL_VAR const int | gtkglextmm_binary_age

## Define Documentation

#define GTKGLEXTMM_BINARY_AGE (0)

#define GTKGLEXTMM_CHECK_VERSION | ( | major,
|  | minor,
|  | micro |  | ) |

| Value:
    (GTKGLEXTMM_MAJOR_VERSION > (major) ||                                         \
      (GTKGLEXTMM_MAJOR_VERSION == (major) && GTKGLEXTMM_MINOR_VERSION > (minor)) || \
      (GTKGLEXTMM_MAJOR_VERSION == (major) && GTKGLEXTMM_MINOR_VERSION == (minor) && \
       GTKGLEXTMM_MICRO_VERSION >= (micro)))

#define GTKGLEXTMM_INTERFACE_AGE (0)

#define GTKGLEXTMM_MAJOR_VERSION (1)

#define GTKGLEXTMM_MICRO_VERSION (0)

#define GTKGLEXTMM_MINOR_VERSION (2)

## Variable Documentation

GTKMM_GL_VAR const int gtkglextmm_binary_age

GTKMM_GL_VAR const int gtkglextmm_interface_age

GTKMM_GL_VAR const int gtkglextmm_major_version

GTKMM_GL_VAR const int gtkglextmm_micro_version

GTKMM_GL_VAR const int gtkglextmm_minor_version